NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Annotations.LineWeldBuilder Class Reference

Represents a NXOpen.Annotations.LineWeldBuilder More...

Inheritance diagram for NXOpen.Annotations.LineWeldBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Annotations.PmiLineWeldBuilder

Public Types

enum  FieldWeldType { Plain, TopField, TopFieldSimpleFlag }
 Represents the field weld type More...
 
enum  IdLineType {
  Plain, IdLineAbove, IdLineBelow, CenteredSpotWeld,
  CenteredSeamWeld, Centered
}
 Represents the id line type More...
 
enum  StaggeredWeldType { NoStaggeredSymbol, StaggeredSymbol, StaggeredSymbolWeldSide }
 Represents the staggered weld type More...
 
enum  TailType { NoTail, Tail, Box }
 represents the tail type More...
 
enum  WeldSymbolWeldAlongContourType {
  None, Closed, Unclosed, TrilateralWeld,
  AllAround
}
 Represents the weld along contour option More...
 

Public Member Functions

unsafe string[] GetReference ()
 Returns the reference or specification text More...
 
unsafe void InheritProperties (NXOpen.Annotations.Weld annotation)
 This inherits the properties from the existing weld symbol More...
 
unsafe void InheritPropertiesFromWeldFeature (NXOpen.DisplayableObject feature)
 This inherits the properties from the existing weld feature More...
 
unsafe void SetReference (string[] reference)
 Sets the reference or specification text More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Annotations.LineWeldDataBuilder 
ArrowSideWeldData [get]
 Returns the NXOpen.Annotations.LineWeldDataBuilder for the arrow side of the weld symbol More...
 
unsafe
NXOpen.Annotations.LineWeldBuilder.FieldWeldType 
FieldWeld [get, set]
 Returns or sets the field indicating the weld is done at the field site More...
 
unsafe bool FlipDirection [get, set]
 Returns or sets the flip direction for top seam More...
 
unsafe bool FlipHorizontal [get, set]
 Returns or sets the flip horizontal direction for side seam More...
 
unsafe bool FlipVertical [get, set]
 Returns or sets the flip vertical direction for side seam More...
 
unsafe
NXOpen.Annotations.ForeshorteningSymbolBuilder 
ForeshorteningSymbol [get]
 Returns the foreshortening symbol builder More...
 
unsafe
NXOpen.Annotations.LineWeldBuilder.IdLineType 
IdLine [get, set]
 Returns or sets the identification or reference line More...
 
unsafe
NXOpen.SelectDisplayableObject 
Inherit [get]
 Returns the weld symbol from which the style properties are inherited More...
 
unsafe
NXOpen.Annotations.LeaderBuilder 
Leader [get]
 Returns the NXOpen.Annotations.LeaderBuilder for weld symbol More...
 
unsafe
NXOpen.Annotations.OriginBuilder 
Origin [get]
 Returns the NXOpen.Annotations.OriginBuilder for the weld symbol More...
 
unsafe
NXOpen.Annotations.LineWeldDataBuilder 
OtherSideWeldData [get]
 Returns the NXOpen.Annotations.LineWeldDataBuilder for the other side of the weld symbol More...
 
unsafe double Scale [get, set]
 Returns or sets the scaling factor for the welding symbol More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SideSeamObjects [get]
 Returns the side seam object More...
 
unsafe double SpaceFactor [get, set]
 Returns or sets the space factor for the welding symbol More...
 
unsafe
NXOpen.Annotations.LineWeldBuilder.StaggeredWeldType 
StaggeredWeld [get, set]
 Returns or sets the staggered weld More...
 
unsafe
NXOpen.Annotations.StyleBuilder 
Style [get]
 Returns the NXOpen.Annotations.StyleBuilder for the weld symbol More...
 
unsafe
NXOpen.Annotations.LineWeldBuilder.TailType 
Tail [get, set]
 Returns or sets the weld tail More...
 
unsafe
NXOpen.SelectDisplayableObject 
TopSeamObject [get]
 Returns the top seam object More...
 
unsafe
NXOpen.Annotations.LineWeldBuilder.WeldSymbolWeldAlongContourType 
WeldAlongContour [get, set]
 Returns or sets the weld along contour option More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.LineWeldBuilder

To create a new instance of this class, use NXOpen.Annotations.WeldCollection.CreateLineWeldBuilder

Default values.

Property Value

ArrowSideWeldData.ContourSymbol

None

ArrowSideWeldData.FinishSymbol

None

ArrowSideWeldData.WeldSizeCode

None

ArrowSideWeldData.WeldSymbol

None

FieldWeld

Plain

FlipDirection

False

FlipHorizontal

False

FlipVertical

False

IdLine

Plain

Scale

1

StaggeredWeld

NoStaggeredSymbol

Tail

NoTail

WeldAlongContour

None

Created in NX6.0.0

Member Enumeration Documentation

Represents the field weld type

Enumerator
Plain 
TopField 
TopFieldSimpleFlag 

Represents the id line type

Enumerator
Plain 
IdLineAbove 
IdLineBelow 
CenteredSpotWeld 
CenteredSeamWeld 
Centered 

Represents the staggered weld type

Enumerator
NoStaggeredSymbol 
StaggeredSymbol 
StaggeredSymbolWeldSide 

represents the tail type

Enumerator
NoTail 
Tail 
Box 

Represents the weld along contour option

Enumerator
None 
Closed 
Unclosed 
TrilateralWeld 
AllAround 

Member Function Documentation

unsafe string [] NXOpen.Annotations.LineWeldBuilder.GetReference ( )
inline

Returns the reference or specification text

Created in NX6.0.0

License requirements: None.

Returns
unsafe void NXOpen.Annotations.LineWeldBuilder.InheritProperties ( NXOpen.Annotations.Weld  annotation)
inline

This inherits the properties from the existing weld symbol

Created in NX8.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
annotation
unsafe void NXOpen.Annotations.LineWeldBuilder.InheritPropertiesFromWeldFeature ( NXOpen.DisplayableObject  feature)
inline

This inherits the properties from the existing weld feature

Created in NX8.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
feature
unsafe void NXOpen.Annotations.LineWeldBuilder.SetReference ( string[]  reference)
inline

Sets the reference or specification text

Created in NX6.0.0

License requirements: drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
reference

Property Documentation

unsafe NXOpen.Annotations.LineWeldDataBuilder NXOpen.Annotations.LineWeldBuilder.ArrowSideWeldData
get

Returns the NXOpen.Annotations.LineWeldDataBuilder for the arrow side of the weld symbol

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.LineWeldBuilder.FieldWeldType NXOpen.Annotations.LineWeldBuilder.FieldWeld
getset

Returns or sets the field indicating the weld is done at the field site

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Annotations.LineWeldBuilder.FlipDirection
getset

Returns or sets the flip direction for top seam

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Annotations.LineWeldBuilder.FlipHorizontal
getset

Returns or sets the flip horizontal direction for side seam

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Annotations.LineWeldBuilder.FlipVertical
getset

Returns or sets the flip vertical direction for side seam

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.Annotations.ForeshorteningSymbolBuilder NXOpen.Annotations.LineWeldBuilder.ForeshorteningSymbol
get

Returns the foreshortening symbol builder

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Annotations.LineWeldBuilder.IdLineType NXOpen.Annotations.LineWeldBuilder.IdLine
getset

Returns or sets the identification or reference line

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectDisplayableObject NXOpen.Annotations.LineWeldBuilder.Inherit
get

Returns the weld symbol from which the style properties are inherited

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.LeaderBuilder NXOpen.Annotations.LineWeldBuilder.Leader
get

Returns the NXOpen.Annotations.LeaderBuilder for weld symbol

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.OriginBuilder NXOpen.Annotations.LineWeldBuilder.Origin
get

Returns the NXOpen.Annotations.OriginBuilder for the weld symbol

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.LineWeldDataBuilder NXOpen.Annotations.LineWeldBuilder.OtherSideWeldData
get

Returns the NXOpen.Annotations.LineWeldDataBuilder for the other side of the weld symbol

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Annotations.LineWeldBuilder.Scale
getset

Returns or sets the scaling factor for the welding symbol

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Annotations.LineWeldBuilder.SideSeamObjects
get

Returns the side seam object

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Annotations.LineWeldBuilder.SpaceFactor
getset

Returns or sets the space factor for the welding symbol

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.Annotations.LineWeldBuilder.StaggeredWeldType NXOpen.Annotations.LineWeldBuilder.StaggeredWeld
getset

Returns or sets the staggered weld

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.Annotations.StyleBuilder NXOpen.Annotations.LineWeldBuilder.Style
get

Returns the NXOpen.Annotations.StyleBuilder for the weld symbol

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.LineWeldBuilder.TailType NXOpen.Annotations.LineWeldBuilder.Tail
getset

Returns or sets the weld tail

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectDisplayableObject NXOpen.Annotations.LineWeldBuilder.TopSeamObject
get

Returns the top seam object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.LineWeldBuilder.WeldSymbolWeldAlongContourType NXOpen.Annotations.LineWeldBuilder.WeldAlongContour
getset

Returns or sets the weld along contour option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.